Subject: Re: [PATCH v4 4/6] pack-objects: generate cruft packs at most one object over threshold

From: Junio C Hamano <[email-masked]>
Date: Thu, 13 Mar 2025 10:06:40 -0700

Elijah Newren <[email-masked]> writes:

> Personally, I think I'd set the --combine-cruft-below-size to half of
> --max-pack-size, because that guarantees that any two existing cruft
> packs being considered for combining can be, and the resulting
> combined cruft pack if big enough can then be ignored in the future.

Yup, combine-below can be set to arbitrarily a small value, and ...

> In other words, this scheme would allow you to always make progress.

... I would even think that setting it to too high a value may be a
misconfiguration.  As you outlined above, a half of the max-size
would probably be the practical maximum for the combine-below value
to avoid the issue and to always make progress.